<?php

declare(strict_types=1);

namespace App\Filament\Resources\DberpPositions\Pages;

use App\Filament\Resources\DberpPositions\DberpPositionResource;
use Filament\Actions\CreateAction;
use Filament\Resources\Pages\ListRecords;
use Illuminate\Contracts\Support\Htmlable;

class ListDberpPositions extends ListRecords
{
    protected static string $resource = DberpPositionResource::class;

    public function getSubheading(): string|Htmlable|null
    {
        return (string) __('dberp.ui.organization_list_position_intro');
    }

    protected function getHeaderActions(): array
    {
        return [
            CreateAction::make(),
        ];
    }
}
